--- title: "Get File Activity" slug: "get-file-activity-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-file-activity-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get File Activity This URL gets the activities for the given file id. ### Resource URL GET /ntbamonitors/{ntbaId}/ fileactivity/{fileid}? TopN= &timePeriod=&startTime=&endTime= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50. | Number | No | | `timePeriod` | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | `startTime` | Start time in the format: yyyy-MM-dd HH:mm | String | No | | `endTime` | End time in the format: yyyy-MM-dd HH:mm | String | No | | `fileId` | File Id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `fileActivities` | List of activities | Array | Details of fileActivities: | Field Name | Description | Data Type | | --- | --- | --- | | `srcEndpoint` | Source endpoint | String | | `srcUser` | Source User | String | | `srcZone` | Source zone | String | | `destEndpoint` | Dest endpoint | String | | `destUser` | Dest user | String | | `destZone` | Dest zone | String | | `action` | Action | String | | `lastAccessed` | Last accessed | String | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/fileactivity/8389181?timePeriod=CUSTOM&startTime=2012-APR-20 12:15&endTime=2012-APR-20 12:11](https://<NSM_IP>/sdkapi/ntbamonitors/1006/fileactivity/8389181?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11%20) **Response** ``` {“fileActivities”:[{ “srcEndpoint”:”16843018”, “srcUser”:”—“, “srcZone”:”Default Inside Zone”, “destEndpoint”:”16843017”, “destUser”:”—“, “destZone”:”Default Outside Zone”, “action”:”file upload”, “lastAccessed”:”2013-08-20 06:15:18”} ] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id | | 7 | 400 | 4309 | Invalid file id or no data. |